| Home | Libraries | People | FAQ | More

## Function template move_if_not_lvalue_reference

boost::move_if_not_lvalue_reference

## Synopsis

    // In header: <boost/move/utility_core.hpp>

    template<typename T>
      output_reference move_if_not_lvalue_reference(input_reference);

## Description

Effects: Calls `boost::move` if `input_reference` is not a lvalue reference. Otherwise returns the reference